Entire Class Index | Main Class Index | Cross Index | Global Index

# Class CL_NetStream

Net stream class.
Contained in: global
Derived from: none
Derived by: none
Group: Network (NetSessions)

#include <ClanLib/network.h>

### public function member index:

### Construction:

`` | `CL_NetStream` | `(`const` `std::string`& `stream_channel`, `CL_NetComputer`& `dest`)`;
`` | `CL_NetStream` | `(`const` `CL_NetStream`& `copy`)`;
``virtual`` | `~CL_NetStream` | `()`;

### Attributes:

``CL_EventTrigger`*` | `get_read_trigger` | `()`;
``CL_EventTrigger`*` | `get_write_trigger` | `()`;

### Operations:

``CL_NetStream`&` | `operator``=` | `(`const` `CL_NetStream`& `copy`)`;
``int`` | `send` | `(`const` `void`* `data`, `int` `size`)`;
``int`` | `recv` | `(`void`* `data`, `int` `size`)`;

### Implementation:

`` | `CL_NetStream` | `(`CL_NetStream_Generic`* `impl`)`;

## Description:

## Function Member Descriptions:

CL_NetStream::CL_NetStream - Connects to a remote netstream.
`` `CL_NetStream` `(`const` `std::string`& `stream_channel`, `CL_NetComputer`& `dest`)`;

CL_NetStream::get_read_trigger - Event trigger for reading.
``CL_EventTrigger`*` `get_read_trigger` `()`;

CL_NetStream::get_write_trigger - Event trigger for writing.
``CL_EventTrigger`*` `get_write_trigger` `()`;

CL_NetStream::operator = - Copy constructor.
``CL_NetStream`&` `operator``=` `(`const` `CL_NetStream`& `copy`)`;

CL_NetStream::recv - Receive data from stream.
``int`` `recv` `(`void`* `data`, `int` `size`)`;

CL_NetStream::send - Send data onto stream.
``int`` `send` `(`const` `void`* `data`, `int` `size`)`;

## Variable Member Descriptions:

CL_NetStream::input - Input source interface for netstream.
``CL_InputSource_NetStream`` ``input`;`

CL_NetStream::output - Output source interface for netstream.
``CL_OutputSource_NetStream`` ``output`;`